package com.ruoyi.bst.suit.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.suit.domain.Suit;
import com.ruoyi.bst.suit.domain.SuitQuery;
import com.ruoyi.bst.suit.domain.SuitVO;

/**
 * 套餐Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-17
 */
public interface SuitMapper
{
    /**
     * 查询套餐
     *
     * @param id 套餐主键
     * @return 套餐
     */
    SuitVO selectSuitById(Long id);

    /**
     * 查询套餐列表
     *
     * @param query 套餐
     * @return 套餐集合
     */
    List<SuitVO> selectSuitList(@Param("query")SuitQuery query);

    /**
     * 新增套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    int insertSuit(Suit suit);

    /**
     * 批量新增套餐
     */
    int batchInsert(@Param("list") List<? extends Suit> list);

    /**
     * 批量修改套餐
     */
    int batchUpdate(@Param("list") List<? extends Suit> list);

    /**
     * 修改套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int updateSuit(@Param("data") Suit suit);

    /**
     * 删除套餐
     *
     * @param id 套餐主键
     * @return 结果
     */
    int deleteSuitById(Long id);

    /**
     * 批量删除套餐
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSuitByIds(@Param("ids") List<Long> ids);

    /**
     * 查询套餐ID列表
     *
     * @param query 套餐查询条件
     * @return 套餐ID列表
     */
    List<Long> selectIdList(@Param("query") SuitQuery query);
}
